Packages - Bug #3188

[dino] No video when a video call is placed.
2022-02-18 08:16 AM - ryry

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

¢ steps to reproduce:
Upgrade to latest release dino 0.3.0-1 with all other packages up to date.
Place a video call to another dino client or conversations (android).

N.B Audio only calls work fine every time to both other dino and conversations clients.

e expected result:
Call should start with sound and video displayed to other party and vice versa.

¢ actual result:
Call starts with sound, but no video is displayed, despite webcam being recognised and on aswell as the debug information
showing sound and video being sent.

| have tried an altered PKGBUILD to include gst-plugins-good instead of gst-plugins-base-libs in depends (as was suggested on the
dino.im xmpp chat to a user with a similar issue, which didn't make any difference. They where using the archlinux/manjaro and the
same PKGBUILD, so | am wondering if it is a issue specific to "arch based distro's" or if its just Parabola. Perhaps a video group
permission? | don't know? Or if indeed anyone else is having this issue?

Thanks
Ryry

History

#1 - 2022-02-18 10:39 AM - ryry

After taking to Fixah on the dino public chat they suggested a few things, one of which was that gst-plugins-gtk needed to be installed. After checking
and reinstalling this on one device and adding on another, It now seems to work. It seems the gst-plugin-gtk is not in the PKGBUILD depends section
and so was missed. It seems like this may be a small upstream issue.

#2 - 2022-05-07 07:10 PM - Zuss

gst-plugin-gtk is now listed as a dependency in the Arch PKGBUILD. | also just tested it and | could make video calls just fine as well.

#3 - 2022-05-08 07:03 AM - bill-auger
Ryry -

does the latest dino 0.3.0-3 solve this problem for you? - this
ticket can be closed?

#4 - 2022-05-09 08:40 PM - ryry
Hi, bill-auger

Thanks, yeah | think this can be closed as this issue was rectified upstream, when arch added the missing depends in the PKGBUILD. It was picked
up quite quickly. There is seemingly another issue potentially related to USB webcams (which | currently have issues only in dino), which produces no
video, but it looks like this PR here https:/github.com/dino/dino/pull/1224 will fix that in the next minor release, but they are produce the very similar
outcomes (just incase anyone reads this for info), but the one relating to Bug #3188 worked/works for me.

Thanks
ryry

#5 - 2022-05-14 11:21 AM - Zuss

- Status changed from unconfirmed to not-a-bug
https://github.com/dino/dino/pull/1224
https://labs.parabola.nu/issues/3188

Closing as the video call issue has been fixed
